> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/shipping-configuration.md).

# Shipping Configuration

Endpoints to read and update the shipping configuration.

## Get the shipping configuration

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Retrieves the tenant-wide shipping configuration. A default configuration is created automatically on first access.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to read and update the shipping configuration.","name":"Shipping configuration"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ShippingConfiguration":{"properties":{"created":{"description":"Creation date of this shippingConfiguration","format":"date-time","type":"string"},"id":{"description":"Unique identifier of this shippingConfiguration","type":"string"},"lastModified":{"description":"Last modification date of this shippingConfiguration","format":"date-time","type":"string"},"recommendationConfiguration":{"allOf":[{"$ref":"#/components/schemas/RecommendationConfiguration"}],"description":"Configuration for the automatic carrier recommendation for shipments"},"version":{"description":"Version number of this shippingConfiguration","type":"number"}},"required":["id","version","created","lastModified"],"title":"ShippingConfiguration","type":"object","description":"ShippingConfiguration"},"RecommendationConfiguration":{"properties":{"priceType":{"description":"Defines the price attribute category of which the price value is taken for carrier recommendation calculation","enum":["customs","insurance","shop","salesPrice","basePrice","tax"],"type":"string"}},"required":["priceType"],"title":"RecommendationConfiguration","type":"object","description":"RecommendationConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/shipping":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Retrieves the tenant-wide shipping configuration. A default configuration is created automatically on first access.","operationId":"getShippingConfiguration","parameters":[],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingConfiguration"}}},"description":"Successfully retrieved the shipping configuration."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get the shipping configuration","tags":["Shipping configuration"]}}}}
```

## Create or update the shipping configuration

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Creates or updates the tenant-wide shipping configuration. The version must match the currently persisted version.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to read and update the shipping configuration.","name":"Shipping configuration"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ShippingConfigurationForUpdate":{"properties":{"recommendationConfiguration":{"allOf":[{"$ref":"#/components/schemas/RecommendationConfiguration"}],"description":"Configuration for the automatic carrier recommendation for shipments"},"version":{"description":"Version number of this shippingConfiguration","type":"number"}},"required":["version"],"title":"ShippingConfigurationForUpdate","type":"object","description":"ShippingConfigurationForUpdate"},"RecommendationConfiguration":{"properties":{"priceType":{"description":"Defines the price attribute category of which the price value is taken for carrier recommendation calculation","enum":["customs","insurance","shop","salesPrice","basePrice","tax"],"type":"string"}},"required":["priceType"],"title":"RecommendationConfiguration","type":"object","description":"RecommendationConfiguration"},"ShippingConfiguration":{"properties":{"created":{"description":"Creation date of this shippingConfiguration","format":"date-time","type":"string"},"id":{"description":"Unique identifier of this shippingConfiguration","type":"string"},"lastModified":{"description":"Last modification date of this shippingConfiguration","format":"date-time","type":"string"},"recommendationConfiguration":{"allOf":[{"$ref":"#/components/schemas/RecommendationConfiguration"}],"description":"Configuration for the automatic carrier recommendation for shipments"},"version":{"description":"Version number of this shippingConfiguration","type":"number"}},"required":["id","version","created","lastModified"],"title":"ShippingConfiguration","type":"object","description":"ShippingConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/shipping":{"patch":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Creates or updates the tenant-wide shipping configuration. The version must match the currently persisted version.","operationId":"upsertShippingConfiguration","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingConfigurationForUpdate"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingConfiguration"}}},"description":"Successfully created or updated the shipping configuration."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create or update the shipping configuration","tags":["Shipping configuration"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/shipping-configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
